#!/bin/bash

function outer() {
  local count=0
  inner() {
    count=$(($count + 1))
    echo $count
  }
 }

outer
inner
inner
inner
#fn=`outer`
##echo $fn
#count=`$fn`
#echo $count

#res=outer
#cout=`res`


#decorator() {
#  echo "Code block befor call function"
#  res=$($1 20 100)
#  echo "Code block code call function"
#}
##
#decorator summ
#echo $res





#p_internakCall() {
#   echo $0
#   echo $(($1 + $2 ))
#
#  g_int=200
#   local l_foo='error'
#   echo 'Вызов HTTP сервера GET'
#}
#
#p_internakCall 123  17
#echo $l_foo